Bug 15402 - Deleting an Index makes IDE freeze, throws NPE
Deleting an Index makes IDE freeze, throws NPE
Status: CLOSED INVALID
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Other
: P2 (vote)
: TBD
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 15:14 UTC by issues@www
Modified: 2005-03-09 04:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2001-09-12 15:14:39 UTC
Description: 
IDE Build : Pilsen FCS RC1 (010803) EE
After connecting to a Pointbase database, DB Explorer allows browing of tables 
& thier indexes.
Right click on an Index and Choose Delete.
It might throw NullPointerException.

IDE would get frozen. You would need to Shutdown PB Server & Restart it.

Use attached Schema, try deleting indexes of table VENDORCONTACT,
it throws the  Exception : 
java.lang.NullPointerException
        at com.pointbase.jdbc.jdbcTmpResultSetMetaData.getColumnType(Unknown 
Source)
        at com.pointbase.net.netConnectionHandler.preInvokationProcessing
(Unknown Source)
        at com.pointbase.net.netConnectionHandler._processNextRequest(Unknown 
Source)
        at com.pointbase.net.netConnectionHandler.processNextRequestChooser
(Unknown Source)
        at com.pointbase.net.netConnectionHandler.run(Unknown Source)


Evaluation: 
During a specific action (e.g. drop system index) is being done IDE would 
appear to hang.  This condition can be remedied only by shutting down the 
Pointbase Server, outside the IDE.

A comment.
Comment 1 Radko Najman 2001-11-19 12:15:21 UTC
It seems to be a Pointbase 3.5 issue. IDE does not freeze if it is
used with PointBase 4.0 and later.
Comment 2 Martin Schovanek 2003-03-11 16:08:06 UTC
VERIFIED
Comment 3 Quality Engineering 2003-06-30 17:17:32 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo